#! /bin/sh

if [ -f $HOME/.josirc ] ; then 
  . $HOME/.josirc
fi

if [ "$JOSI_HOME" = "" ] ; then
  # try to find josi
  if [ -d /opt/josi ] ; then 
    JOSI_HOME=/opt/josi
  fi

  if [ -d ${HOME}/opt/josi ] ; then 
    JOSI_HOME=${HOME}/opt/josi
  fi

  ## resolve links - $0 may be a link to josi's home
  PRG=$0
  progname=`basename $0`
  
  while [ -h "$PRG" ] ; do
    ls=`ls -ld "$PRG"`
    link=`expr "$ls" : '.*-> \(.*\)$'`
    if expr "$link" : '.*/.*' > /dev/null; then
	PRG="$link"
    else
	PRG="`dirname $PRG`/$link"
    fi
  done
  
  JOSI_HOME=`dirname "$PRG"`/..

fi

# Allow .josirc to specifiy flags to java cmd
if [ "$JAVACMD" = "" ] ; then 
  JAVACMD=java
fi

LOCALCLASSPATH=`echo $JOSI_HOME/lib/*.jar | tr ' ' ':'`

if [ "$CLASSPATH" != "" ] ; then
  LOCALCLASSPATH=$CLASSPATH:$LOCALCLASSPATH
fi

if [ "$JAVA_HOME" != "" ] ; then
  if test -f $JAVA_HOME/lib/tools.jar ; then
    LOCALCLASSPATH=$LOCALCLASSPATH:$JAVA_HOME/lib/tools.jar
  fi

  if test -f $JAVA_HOME/lib/classes.zip ; then
    LOCALCLASSPATH=$LOCALCLASSPATH:$JAVA_HOME/lib/classes.zip
  fi
else
  echo "Warning: JAVA_HOME environment variable is not set."
  echo "  If build fails because sun.* classes could not be found"
  echo "  you will need to set the JAVA_HOME environment variable"
  echo "  to the installation directory of java."
fi

# supply JIKESPATH to josi as jikes.class.path
if [ "$JIKESPATH" != "" ] ; then
  if [ "$JOSI_OPTS" != "" ] ; then
    JOSI_OPTS="$JOSI_OPTS -Djikes.class.path=$JIKESPATH"
  else
    JOSI_OPTS=-Djikes.class.path=$JIKESPATH
  fi
fi

$JAVACMD -classpath $LOCALCLASSPATH -Djosi.home=${JOSI_HOME} $JOSI_OPTS JosiScanLite $@

